Subject: Re: bug#67848: 29.1; Fix usage of `setq-default' and add explanation

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Dec 2023 10:47:09 +0200

> From: Xiyue Deng <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 23 Dec 2023 23:00:59 -0800
> 
> While I kind of agree with what you said here, this requires a much
> larger rewrite of the text, because there are several paragraphs that
> span several sections that follows the author's original advice of
> making newly opened files to use text-mode instead of fundamental mode
> by default.  Neither being a writer, nor even a native English speaker,
> I don't consider myself a good candidate to make such a drastic change
> to this classic book.
> 
> So instead I added another footnote at the first sentence of this
> section to suggest that the suggestion was aimed for writers and the
> reader can feel free not to do this.  The new patch is attached.  PTAL.

Thanks, installed on the emacs-29 branch, and closing the bug.